package com.jisco.dynamicweight.dynamicworkdata.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="null")
public class DynamicWorkData implements IBasePO<String> {
    /**
     * 数据编号（雪花ID）(DATA_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="数据编号（雪花ID）",required=true)
    private String dataNo;

    /**
     * 站点编码(STATION_CODE,VARCHAR,60)
     */
    @ApiModelProperty(value="站点编码",required=false)
    private String stationCode;

    /**
     * 站点名称(STATION_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="站点名称",required=true)
    private String stationName;

    /**
     * 物料编码(MATERIAL_CODE,VARCHAR,50)
     */
    @ApiModelProperty(value="物料编码",required=false)
    private String materialCode;

    /**
     * 物料名称(MATERIAL_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="物料名称",required=true)
    private String materialName;

    /**
     * 重量(WEIGHT,DECIMAL,16)
     */
    @ApiModelProperty(value="重量",required=true)
    private BigDecimal weight;

    /**
     * 开始时间(START_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="开始时间",required=true)
    private Date startTime;

    /**
     * 结束时间(END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="结束时间",required=true)
    private Date endTime;

    /**
     * 收货库房(RECEIVER,VARCHAR,100)
     */
    @ApiModelProperty(value="收货库房",required=false)
    private String receiver;

    /**
     * 收货库房编码(RECEIVER_CODE,VARCHAR,40)
     */
    @ApiModelProperty(value="收货库房编码",required=false)
    private String receiverCode;

    /**
     * 收货点类型(RECEIVER_TYPE,VARCHAR,60)
     */
    @ApiModelProperty(value="收货点类型",required=false)
    private String receiverType;

    /**
     * 发货库房(SENDER,VARCHAR,100)
     */
    @ApiModelProperty(value="发货库房",required=false)
    private String sender;

    /**
     * 发货库房编码(SENDER_CODE,VARCHAR,40)
     */
    @ApiModelProperty(value="发货库房编码",required=false)
    private String senderCode;

    /**
     * 发货点类型(SENDER_TYPE,VARCHAR,60)
     */
    @ApiModelProperty(value="发货点类型",required=false)
    private String senderType;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 到期标志(EXPIRE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="到期标志",required=false)
    private String expireFlag;

    /**
     * 状态（0：无效；1:有效）(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0：无效；1:有效）",required=true)
    private String validFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.dataNo;
    }

    @Override
    public void setId(String dataNo) {
        this.dataNo = dataNo == null ? null : dataNo.trim();
    }

    public String getDataNo() {
        return dataNo;
    }

    public void setDataNo(String dataNo) {
        this.dataNo = dataNo == null ? null : dataNo.trim();
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode == null ? null : stationCode.trim();
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName == null ? null : stationName.trim();
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode == null ? null : materialCode.trim();
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName == null ? null : materialName.trim();
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getReceiver() {
        return receiver;
    }

    public void setReceiver(String receiver) {
        this.receiver = receiver == null ? null : receiver.trim();
    }

    public String getReceiverCode() {
        return receiverCode;
    }

    public void setReceiverCode(String receiverCode) {
        this.receiverCode = receiverCode == null ? null : receiverCode.trim();
    }

    public String getReceiverType() {
        return receiverType;
    }

    public void setReceiverType(String receiverType) {
        this.receiverType = receiverType == null ? null : receiverType.trim();
    }

    public String getSender() {
        return sender;
    }

    public void setSender(String sender) {
        this.sender = sender == null ? null : sender.trim();
    }

    public String getSenderCode() {
        return senderCode;
    }

    public void setSenderCode(String senderCode) {
        this.senderCode = senderCode == null ? null : senderCode.trim();
    }

    public String getSenderType() {
        return senderType;
    }

    public void setSenderType(String senderType) {
        this.senderType = senderType == null ? null : senderType.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getExpireFlag() {
        return expireFlag;
    }

    public void setExpireFlag(String expireFlag) {
        this.expireFlag = expireFlag == null ? null : expireFlag.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", dataNo=").append(dataNo);
        sb.append(", stationCode=").append(stationCode);
        sb.append(", stationName=").append(stationName);
        sb.append(", materialCode=").append(materialCode);
        sb.append(", materialName=").append(materialName);
        sb.append(", weight=").append(weight);
        sb.append(", startTime=").append(startTime);
        sb.append(", endTime=").append(endTime);
        sb.append(", receiver=").append(receiver);
        sb.append(", receiverCode=").append(receiverCode);
        sb.append(", receiverType=").append(receiverType);
        sb.append(", sender=").append(sender);
        sb.append(", senderCode=").append(senderCode);
        sb.append(", senderType=").append(senderType);
        sb.append(", memo=").append(memo);
        sb.append(", expireFlag=").append(expireFlag);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}